<?php



session_start();

$getCart = filter_input_array(INPUT_POST, FILTER_DEFAULT);

$setCart = array_map("strip_tags", $getCart);

$cart = array_map("trim", $getCart);

print_r($cart);

$produto_id = $cart['produto_id'];

$qtd = $cart['quantidade'];



if ($produto_id):

    $_SESSION['cart'][$produto_id]['id'] = $produto_id;

    $_SESSION['cart'][$produto_id]['qtd'] = $qtd;



    unset($_COOKIE['cart']); // apagar o cookie caso exista

    setcookie('cart', serialize($_SESSION['cart']), time() + 3600); //cria o novo cookie

endif;

?>

